/* bsod.c Copyright (c) Josh Sutherland.
 * Copyright (C) 2008 Josh Sutherland <OneThirty8@aol.com>
 * This file is part of VC/DC, a free MPEG-2 video player.
 *
 * VC/DC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * VC/DC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* This is a tad nicer than the BSOD you're used to on your PC--it displays
   for just a few seconds and then goes away, leaving you back at the menu
   you just came from! */
 #include <kos.h>
 #include "gp.h"  
void bsod()
{ 
  pvr_wait_ready();
  pvr_scene_begin();
  pvr_list_begin(PVR_LIST_TR_POLY);

  /* Translucent list ********************************/
  draw_poly_box(1.0f, 80.0f, 640.0f, 480.0f-96.0f, 90.0f, 
		1.0f, 0.0f, 0.0f, 1.0f, 1.0f, 0.0f, 0.0f, 0.0f);
		
  draw_poly_strf(5.0f, 60.0f, 100.0f, 1.0f, .0f, 1.0f, 1.0f,
VCDC_VERSION);//"              VC/DC  0.2  (C)2006-2009             ");
  draw_poly_strf(5.0f, 180.0f, 100.0f, 1.0f, 1.0f, 0.0f, 0.0f,
"                     ERROR !                       ");
  draw_poly_strf(5.0f, 200.0f, 100.0f, 1.0f, 0.0f, 1.0f, 1.0f,
"            This does not appear to be             ");
  draw_poly_strf(5.0f, 220.0f, 100.0f, 1.0f, 0.0f, 1.0f, 1.0f,
"            a valid (S)VCD image file!             ");

  /* End of translucent list */
	pvr_list_finish();

 /* Finish the frame *******************************/
  pvr_scene_finish();
thd_sleep(3000);		
}
